## r-cran-fastmatch 1.0

=== DESCRIPTION ===
Package: fastmatch
Version: 1.0-4
Title: Fast match() function
Author: Simon Urbanek <simon.urbanek@r-project.org>
Maintainer: Simon Urbanek <simon.urbanek@r-project.org>
Description: Package providing a fast match() replacement for cases
        that require repeated look-ups. It is slightly faster that R's
        built-in match() function on first match against a table, but
        extremely fast on any subsequent lookup as it keeps the hash
        table in memory.
License: GPL-2
URL: http://www.rforge.net/fastmatch
Packaged: 2012-01-21 10:09:18 UTC; svnuser
Repository: CRAN
Date/Publication: 2012-01-21 10:22:24

## r-cran-fastmatch 1.0-4

=== debian/changelog ===
r-cran-fastmatch (1.0-4-1) unstable; urgency=medium

  * Initial release. (Closes: #784264)

 -- Alba Crespi <crespialba+debian@gmail.com>  Mon, 18 May 2015 19:28:06 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

DEB_INSTALL_CHANGELOGS_ALL = NEWS
DEB_INSTALL_DOCS_ALL = -XNEWS

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fastmatch_([-0-9\.]*)\.tar\.gz

## r-cran-fastmatch 1.1

=== DESCRIPTION ===
Package: fastmatch
Version: 1.1-8
Title: Fast 'match()' Function
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.nz, ORCID:
    <https://orcid.org/0000-0003-2297-1732>)
Authors@R: person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.nz", ORCID="0000-0003-2297-1732"))
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Description: Package providing a fast match() replacement for cases
	that require repeated look-ups. It is slightly faster that R's
	built-in match() function on first match against a table, but
	extremely fast on any subsequent lookup as it keeps the hash
	table in memory.
License: GPL-2
Depends: R (>= 2.3.0)
URL: https://www.rforge.net/fastmatch
BugReports: https://github.com/s-u/fastmatch/issues/
NeedsCompilation: yes
Packaged: 2026-01-17 08:04:05 UTC; rforge
Repository: CRAN
Date/Publication: 2026-01-17 08:50:02 UTC

## r-cran-fastmatch 1.1-0

=== debian/changelog ===
r-cran-fastmatch (1.1-0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 14:03:32 +0200

r-cran-fastmatch (1.1-0-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 10:10:23 +0200

r-cran-fastmatch (1.1-0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Secure URI in watch file
  * Convert packaging from cdbs to dh-r
  * debhelper 10
  * Testsuite: autopkgtest-pkg-r
  * Standards-Version: 4.1.1
  * Secure Vcs-Git
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 19:32:23 +0200

=== debian/control ===
Source: r-cran-fastmatch
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch.git
Homepage: https://cran.r-project.org/package=fastmatch
Rules-Requires-Root: no

Package: r-cran-fastmatch
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for fast match replacement for repeated look-ups
 This R package provides a fast match replacement for cases that
 require repeated look-ups. Extremely fast after the first lookup
 match as it keeps the hash table in memory.

## r-cran-fastmatch 1.1-3

=== debian/changelog ===
r-cran-fastmatch (1.1-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Sep 2021 08:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch.git
 Homepage: https://cran.r-project.org/package=fastmatch

## r-cran-fastmatch 1.1-4

=== debian/changelog ===
r-cran-fastmatch (1.1-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 12:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-fastmatch
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Alba Crespi <crespialba+debian@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch.git
+Homepage: https://cran.r-project.org/package=fastmatch
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch.git
-Homepage: https://cran.r-project.org/package=fastmatch
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-fastmatch
 Architecture: any

## r-cran-fastmatch 1.1-6

=== debian/changelog ===
r-cran-fastmatch (1.1-6-1) unstable; urgency=medium

  * Replace Alba in Uploaders (Thank you for your work on this package, Alba)
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Drop default 'Rules-Requires-Root: no' from debian/control (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2025 17:02:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Alba Crespi <crespialba+debian@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch.git
 Homepage: https://cran.r-project.org/package=fastmatch
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/fastmatch_([-0-9\.]*)\.tar\.gz

## r-cran-fastmatch 1.1-8

=== debian/changelog ===
r-cran-fastmatch (1.1-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 26 Jan 2026 13:30:46 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: r-cran-fastmatch
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmatch.git
 Homepage: https://cran.r-project.org/package=fastmatch
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-fastmatch
 Architecture: any
